SGA2WIG(1)

NAME
sga2wig - Convert SGA format into Wiggle Track format

SYNOPSIS
sga2wig [options] [<] <SGA file|stdin>

DESCRIPTION

    - version 1.5.5 where options are:

-d|--debug
    Produce Debug information

-h|--help
    Show this Help text

-i|--db <path>
    Use <path> to locate the chr_NC_gi and chr_size files [default is: $HOME/db/genome]

-o|--format <0|1>
    Set Wiggle Track data format: variableStep[def=0]/fixedStep[1]

-n|--chrnb
    <int> Chromosome number [def: 0 (all chromosomes)]

-b|--start
    <int> Chromosome start [def: -1 (entire chromosome)]

-e|--end
    <int> Chromosome end [def: -1 (entire chromosome)]

-c|--coff
    <int> Count cut-off for the SGA input file [def=99999]

-s|--span
    <int> Wiggle Track Span(/stepInterval) parameter [def=150]

    For fixedStep data format, it defines the step parameter

-f|--norm
    <int> Normalization factor for total tag counts within step intervals [def=0]

    This option is only valid for fixedStep data format

--peakf
    Indicate that the The SGA input file represents a peak file [i.e. coordinates are peak centers] In such case, the span range begins upstream of [span=]150 bp chromosome position specified, and ends [span=]150 bp downstream

--name <name>
    Set name for track name field [def. name=SGA-feature]

--desc <desc>
    Set track description field [def. desc="ChIP-Seq Custom data"]

--color <col>
    Define the track color in comma-separated RGB values [def. 100,100,100]

--autoscale
    <on|off> Data viewing paramenter: set auto-scale to UCSC data view [def=OFF]

--always0
    <on|off> Data viewing paramenter: always include zero [def=OFF]

--wfunction
    <func> Data viewing paramenter: windowing function [def=mean+whiskers|maximum|mean|minimum]

--smoothing
    <grade> Data viewing paramenter: smoothing window [def=OFF[0], <grade>=0,2..16]

--visibility <mode>
    Display mode: [def=full|dense|hide]

    Convert SGA format into Wiggle Track format (WIG). WIG format is line-oriented, and is composed of declaration lines and data lines.

    - variableStep is for data with irregular intervals between new data points.

    It begins with a declaration line and is followed by two columns containing chromosome positions and data values:

variableStep
    chrom=chrN [span=windowSize]

chromStartA
    dataValueA

chromStartB
    dataValueB

... etc ...
    ... etc ...

    - fixedStep is for data with regular intervals between new data values.

    It begins with a declaration line and is followed by a single column of data values:

fixedStep
    chrom=chrN start=position step=stepInterval [span=windowSize = stepInterval]

    dataValue1 dataValue2 ... etc ...

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.